/*
 * @Author: Kane
 * @Date: 2025-03-06 14:27:05
 * @LastEditors: Kane
 * @FilePath: /cpicxim-XMNHSA-repeater/src/main/java/com/cpic/xim/huixiabao/data/pojo/HmbXyxInfoRequest.java
 * @Description: 
 * 
 * Copyright (c) ${2023} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.huixiabao.data.pojo;

import java.util.Vector;

public class HmbXyxInfoRequest
{
    public HmbXyxInfoRequest()
    {
        this.topic = "hmbXyxInfo";
        this.hmbList = new Vector<>();
    }
    
    public HmbXyxInfoRequest( String topic, Vector<HmbXyxInfo> hmbList )
    {
        this.topic = topic;
        this.topic = "hmbXyxInfo";
        this.hmbList = hmbList;
    }

    public String getTopic()
    {
        return topic;
    }

    public void setTopic( String topic )
    {
        this.topic = topic;
    }

    public Vector<HmbXyxInfo> getHmbList()
    {
        return hmbList;
    }

    public void setHmbList( Vector<HmbXyxInfo> hmbList )
    {
        this.hmbList = hmbList;
    }

    private String topic; // 业务类型
    private Vector<HmbXyxInfo> hmbList;
}